Skip to main content
GET
Get a page of wallets by environment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Query Parameters

limit
integer
default:25

Maximum number of wallets to return

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination

direction
enum<string>
default:older

Page toward older or newer items from the cursor; newer requires a cursor

Available options:
older,
newer

Response

Successful response with a page of wallets

wallets
object[]
required

Page of wallets, newest first

nextCursor
string | null
required

Cursor for the next older page, or null if there is none

prevCursor
string | null
required

Cursor for the next newer page, or null if the page is empty

hasMoreNewer
boolean

Whether newer wallets exist beyond this page; only set when direction is newer

totalCount
object

Count of wallets in the environment; only set on the first page